<h1>REST API</h1><h3>WPSSO Add-on</h3>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO REST API</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>Enhances the WordPress REST API post, term and user queries with an array of social meta tags, SEO HTML tags and Schema JSON-LD markup.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>2.0.4</td></tr>
<tr><th align="right" valign="top" nowrap>Requires PHP</th><td>5.6 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Requires WordPress</th><td>4.7 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WordPress</th><td>5.4</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>rest, api, rest api, meta tags, schema, markup</td></tr>
</table>

<h2>Description</h2>

<p style="margin:0;"><img class="readme-icon" src="https://surniaulula.github.io/wpsso-rest-api/assets/icon-256x256.png"></p>

<p>Enhances the WordPress REST API post, term, and user query results with an array of social and SEO meta tags, and Schema JSON-LD markup.</p>

<p>Includes a new <code>head</code> element in the WordPress REST API query result to provide an <code>html</code>, <code>json</code>, and <code>parts</code> array.</p>

<ul>
<li><p>The <code>html</code> array includes the HTML formatted meta tags and Schema JSON-LD (aka LD+JSON) scripts, as they appear in the webpage head section.</p></li>
<li><p>The <code>json</code> array provides Schema JSON-LD (aka LD+JSON) scripts in their decoded format.</p></li>
<li><p>The <code>parts</code> array offers HTML meta tag attributes (aka "the parts") as arrays, making it easier to find / use specific meta tag values.</p></li>
</ul>

<p>There is no add-on settings page for this plugin &mdash; simply <em>install</em> and <em>activate</em> the plugin.</p>

<h3>WPSSO Core Plugin Required</h3>

<p>WPSSO REST API (aka WPSSO REST) is an add-on for the <a href="https://wordpress.org/plugins/wpsso/">WPSSO Core plugin</a>.</p>

<p>The <a href="https://wordpress.org/plugins/wpsso-schema-json-ld/">WPSSO Schema JSON-LD Markup add-on</a> is recommended to get the most complete meta tags and Schema JSON-LD markup for post, term, and user queries.</p>


<h2>Installation</h2>

<h3 class="top">Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-rest-api/installation/install-the-plugin/">Install the WPSSO REST Add-on</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-rest-api/installation/uninstall-the-plugin/">Uninstall the WPSSO REST Add-on</a></li>
</ul>


<h2>Frequently Asked Questions</h2>




